%define	url_ver %(echo %{version}|cut -d. -f1,2)

%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}%{_libdir}/caja/extensions-2.0/.*\\.so
%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}%{_libdir}/caja-sendto/plugins/.*\\.so

%define oname mate-file-manager

Name:       caja-extensions
Summary:    Set of extensions for caja file manager
Version:    1.28.0
Release:    %mkrel 2
Group:      Graphical desktop/MATE
License:    GPLv2+
URL:        https://mate-desktop.org/
Source0:    https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Source1:    caja-share-setup-instructions
Source2:    caja-share-smb.conf.example

BuildRequires: mate-common >= %{url_ver}
BuildRequires: pkgconfig(libcaja-extension) >= %{url_ver}
BuildRequires: pkgconfig(mate-desktop-2.0) >= %{url_ver}
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(gupnp-1.6)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(gmodule-2.0)
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gstreamer-tag-1.0)
BuildRequires: pkgconfig(gstreamer-pbutils-1.0)

%description
Extensions for the caja file-browser, open-terminal,
image-converter, sendto and share.

%package common
Summary:    Common files for caja-extensions
Group:      Graphical desktop/MATE
BuildArch:  noarch

%description common
Common files for caja extensions such as open-terminal,
image-converter etc.

%package -n caja-image-converter
Summary:    Caja extension to mass resize images
Group:      Graphical desktop/MATE
Requires:   %{name}-common = %{version}-%{release}
Requires:   imagemagick

%description -n caja-image-converter
Adds a "Resize Images..." menu item to the context menu of all images. This
opens a dialog where you set the desired image size and file name. A click
on "Resize" finally resizes the image(s) using ImageMagick's convert tool.

%package -n caja-open-terminal
Summary:    Caja extension for an open terminal shortcut
Group:      Graphical desktop/MATE
Requires:   %{name}-common = %{version}-%{release}

%description -n caja-open-terminal
This is a proof-of-concept Caja extension which allows you to open
a terminal in arbitrary local folders.

%package -n caja-beesu
Summary:    Caja extension for opening files or folders as root
Group:      Graphical desktop/MATE
Requires:   %{name}-common = %{version}-%{release}
Requires:   beesu
Provides:   caja-gksu = %{version}-%{release}
Obsoletes:  caja-gksu < 1.26.1-2

%description -n caja-beesu
A little plugin for caja to open files or folders as root.

%package -n caja-sendto
Summary: Send files from caja using with mail or IM
Group: 	Graphical desktop/MATE
Requires:   %{name}-common = %{version}-%{release}
Provides:   caja-email = %{version}-%{release}
Provides:   caja-evolution = %{version}-%{release}
Conflicts:  %{oname}-bluetooth

%description -n caja-sendto
This application provides integration between caja and mail or IM clients.
It adds a Caja context menu component ("Send To...") and features
a dialog for insert the email or IM account which you want to send
the file/files.

%package -n caja-sendto-pidgin
Summary:    Send files from caja to pidgin
Group:      Graphical desktop/MATE
Requires:   pidgin
Requires:   %{name}-common = %{version}
Requires:   caja-sendto = %{version}-%{release}
Provides:   %{name}-sendto-gaim = %{version}-%{release}

%description -n caja-sendto-pidgin
This application provides integration between caja and pidgin. It
adds a Caja context menu component ("Send To...") and features a
dialog for insert the IM account which you want to send the file/files.

%package -n caja-sendto-upnp
Summary:    Send files from nautilus via UPNP
Group:      Graphical desktop/MATE
Requires:   %{name}-common = %{version}
Requires:   caja-sendto = %{version}-%{release}

%description -n caja-sendto-upnp
This application provides integration between caja and UPNP.
It adds a Caja context menu component ("Send To...") and allows sending
files to UPNP media servers.

%package -n caja-sendto-devel
Summary:    Development libraries and headers for caja-sendto
Group: 	    Development/C
Requires:   %{name}-common = %{version}-%{release}
Requires:   caja-sendto = %{version}-%{release}

%description -n caja-sendto-devel
Development libraries and headers for caja-sendto

%package -n caja-share
Summary:    Easy sharing folder via Samba (CIFS protocol)
Group: 	    Networking/File transfer
Requires:   %{name}-common = %{version}-%{release}
Requires:   samba-server
Requires:   gvfs-fuse
Requires:   gvfs-smb
Recommends: gvfs-mtp

%description -n caja-share
Caja extension designed for easier folders
sharing via Samba (CIFS protocol) in *NIX systems.

%package -n caja-wallpaper
Summary:    Caja extension to set wallpapers
Group:      Graphical desktop/MATE
Requires:   %{name}-common = %{version}-%{release}

%description -n caja-wallpaper
Caja extension to set wallpaper on the fly

%package -n caja-xattr-tags
Summary:    MATE file manager xattr-tags
Requires:   %{name}-common = %{version}-%{release}

%description -n caja-xattr-tags
Caja xattr-tags extension, allows to quickly set xattr-tags.

%package -n caja-av
Summary:    MATE file manager av extension
Requires:   %{name}-common = %{version}-%{release}

%description -n caja-av
Caja av extension, displays audio/video properties.

%prep
%autosetup -p1

# build with GUPnP-1.6
sed -i -e '/PKG_CHECK_MODULES/s/gupnp-1.2/gupnp-1.6/' configure.ac

cp %{_sourcedir}/caja-share-setup-instructions SETUP

%build
autoreconf -vfi
%configure \
	--disable-schemas-compile \
	--enable-image-converter	\
	--enable-open-terminal	\
	--enable-sendto	\
	--enable-share	\
	--enable-gksu	\
	--enable-wallpaper	\
	--with-sendto-plugins=all	\
	--enable-gtk-doc-html	\
	--disable-static

%make_build

%install
%make_install

mkdir -p %{buildroot}/%{_sysconfdir}/samba/
install -m644 %{_sourcedir}/caja-share-smb.conf.example %{buildroot}/%{_sysconfdir}/samba/

# remove needless MateConf stuff
rm -fr	%{buildroot}%{_datadir}/MateConf

%find_lang %{name} --with-gnome --all-name

%files common -f %{name}.lang
%doc AUTHORS README SETUP
%dir %{_datadir}/caja-extensions/

%files -n caja-image-converter
%{_libdir}/caja/extensions-2.0/libcaja-image-converter.so
%{_datadir}/caja/extensions/libcaja-image-converter.caja-extension

%files -n caja-open-terminal
%{_libdir}/caja/extensions-2.0/libcaja-open-terminal.so
%{_datadir}/glib-2.0/schemas/org.mate.caja-open-terminal.gschema.xml
%{_datadir}/caja/extensions/libcaja-open-terminal.caja-extension

%files -n caja-sendto
%{_bindir}/caja-sendto
%dir %{_libdir}/caja-sendto/
%dir %{_libdir}/caja-sendto/plugins/
%{_libdir}/caja-sendto/plugins/libnstburn.so
%{_libdir}/caja-sendto/plugins/libnstemailclient.so
%{_libdir}/caja-sendto/plugins/libnstremovable_devices.so
%{_libdir}/caja-sendto/plugins/libnstgajim.so
%{_libdir}/caja/extensions-2.0/libcaja-sendto.so
%{_datadir}/glib-2.0/schemas/org.mate.Caja.Sendto.gschema.xml
%{_datadir}/caja/extensions/libcaja-sendto.caja-extension
%{_mandir}/man1/caja-sendto.1.*

%files -n caja-sendto-pidgin
%{_libdir}/caja-sendto/plugins/libnstpidgin.so

%files -n caja-sendto-upnp
%{_libdir}/caja-sendto/plugins/libnstupnp.so

%files -n caja-sendto-devel
%doc %{_datadir}/gtk-doc/html/caja-sendto/
%dir %{_includedir}/caja-sendto/
%{_includedir}/caja-sendto/caja-sendto-plugin.h
%{_libdir}/pkgconfig/caja-sendto.pc

%files -n caja-share
%{_sysconfdir}/samba/caja-share-smb.conf.example
%{_libdir}/caja/extensions-2.0/libcaja-share.so
%{_datadir}/caja-extensions/share-dialog.ui
%{_datadir}/caja/extensions/libcaja-share.caja-extension

%files -n caja-beesu
%{_libdir}/caja/extensions-2.0/libcaja-gksu.so
%{_datadir}/caja/extensions/libcaja-gksu.caja-extension

%files -n caja-wallpaper
%{_libdir}/caja/extensions-2.0/libcaja-wallpaper.so
%{_datadir}/caja/extensions/libcaja-wallpaper.caja-extension

%files -n caja-xattr-tags
%{_libdir}/caja/extensions-2.0/libcaja-xattr-tags.so
%{_datadir}/caja/extensions/libcaja-xattr-tags.caja-extension

%files -n caja-av
%{_libdir}/caja/extensions-2.0/libcaja-av.so
%{_datadir}/caja/extensions/libcaja-av.caja-extension


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.28.0-2.mga10
+ Revision: 2221738
- Mageia 10 Mass Rebuild

* Sun Mar 24 2024 wally <wally> 1.28.0-1.mga10
+ Revision: 2051791
- new version 1.28.0

* Sun Oct 30 2022 wally <wally> 1.26.1-2.mga9
+ Revision: 1900181
- rename caja-gksu as caja-beesu

* Tue Sep 27 2022 neoclust <neoclust> 1.26.1-1.mga9
+ Revision: 1892656
- New version 1.26.1

* Mon Sep 19 2022 wally <wally> 1.26.0-3.mga9
+ Revision: 1890501
- build with GUPnP 1.6 API

* Fri Apr 01 2022 umeabot <umeabot> 1.26.0-2.mga9
+ Revision: 1837910
- Mageia 9 Mass Rebuild

* Sat Aug 07 2021 wally <wally> 1.26.0-1.mga9
+ Revision: 1740049
- new version 1.26.0

* Sat Mar 27 2021 ovitters <ovitters> 1.24.1-1.mga9
+ Revision: 1711171
- new version 1.24.1
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 21 2020 umeabot <umeabot> 1.24.0-2.mga8
+ Revision: 1547914
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 kekepower <kekepower> 1.24.0-1.mga8
+ Revision: 1488705
- Update to version 1.22.1
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Mar 14 2019 kekepower <kekepower> 1.22.0-1.mga7
+ Revision: 1376352
- Add patch to build against new gupnp
- Update to version 1.22.0

* Sun Dec 16 2018 kekepower <kekepower> 1.20.2-1.mga7
+ Revision: 1341817
- Update to version 1.20.2

* Mon Nov 26 2018 kekepower <kekepower> 1.20.1-1.mga7
+ Revision: 1335506
- Update to version 1.21.0

* Sat Sep 22 2018 umeabot <umeabot> 1.20.0-2.mga7
+ Revision: 1295845
- Mageia 7 Mass Rebuild

* Thu Feb 15 2018 tarakbumba <tarakbumba> 1.20.0-1.mga7
+ Revision: 1201515
- Updated to 1.20.0 version

* Sun Oct 29 2017 tarakbumba <tarakbumba> 1.19.0-1.mga7
+ Revision: 1174801
- Update to 1.19.0 version

* Thu Apr 27 2017 tarakbumba <tarakbumba> 1.18.1-1.mga6
+ Revision: 1097835
- Update to 1.18.1 version

* Tue Mar 14 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092612
- Updated to 1.18.0 version
- Updated to 1.17.0 version

* Tue Dec 13 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1074714
- new version 1.16.0
- build with gtk3

* Thu Apr 14 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001515
- Update to 1.14.0 version

* Mon Feb 08 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 950680
- Update to 1.13.0 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 898527
-Update to 1.12.0 version

* Sun Sep 27 2015 wally <wally> 1.10.1-1.mga6
+ Revision: 884161
- new version 1.10.1

* Mon Jun 22 2015 tarakbumba <tarakbumba> 1.10.0-1.mga6
+ Revision: 839856
- Update to 1.10.0 version

* Wed Oct 15 2014 umeabot <umeabot> 1.8.0-6.mga5
+ Revision: 747300
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 1.8.0-5.mga5
+ Revision: 693557
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-4.mga5
+ Revision: 678291
- Mageia 5 Mass Rebuild

* Thu Apr 03 2014 tarakbumba <tarakbumba> 1.8.0-3.mga5
+ Revision: 611580
- Enabled gksu extension
- Add gvfs-* as requires in caja-share

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600117
- Updated to version 1.8.0

* Sun Mar 02 2014 tarakbumba <tarakbumba> 1.7.90-5.mga5
+ Revision: 598582
- Fix for requires

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-4.mga5
+ Revision: 598448
- Fix obsoletes again

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-3.mga5
+ Revision: 598423
- Fix requires for pidgin and upnp extensions

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-2.mga5
+ Revision: 598418
- Fix obsoletes and provides

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598353
- imported package caja-extensions

